Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.model.single
Class SingleDateChooseModel

    java.lang.Object
      datechooser.model.AbstractDateChooseModel
          datechooser.model.single.SingleDateChooseModel

All Implemented Interfaces:
  DateChoose, java.io.Serializable

    public class SingleDateChooseModel

extends AbstractDateChooseModel

Model lets select only one date. Not used in beans, but you may use it manually.
Модель, позволяющая выбирать только одну дату. В компонентах не используется. Можно подключить только вручную.

Author:
  Vadik
See Also:
  `DateChoose`, Serialized Form

Field Summary

Fields inherited from class datechooser.model.AbstractDateChooseModel
`changeEventsOn`

Constructor Summary
`SingleDateChooseModel(java.util.Calendar current)`

Method Summary
`protected void` | `applySelection()` Делает попытка выбрать ячейку под курсором.
`void` | `applySelectNothing()` Попытка не выбрать ни одной даты.
`java.util.Calendar` | `getSelectedDate()` Get selected date.
`boolean` | `isNothingSelected()` True if no selected dates (null selection).
`boolean` | `isSelected(java.util.Calendar date)` Is specified date selected.
`protected void` | `refreshIncompatibility()`
`protected void` | `selectColumn(int column)`
`void` | `setNothingSelected(boolean nothingSelected)` Selects nothing (null).

Methods inherited from class datechooser.model.AbstractDateChooseModel
`addCommitListener, addCursorMoveListener, addPropertyChangeListener, addSelectionChangedListener, commit, fireCursorMove, firePropertyChange, fireSelectionChange, getCellCaption, getCellDate, getCellState, getColsCount, getCurrent, getDefaultDate, getForbidden, getForbiddenSet, getLocale, getMaxConstraint, getMinConstraint, getRowsCount, getVisibleDate, invalidate, isAutoScroll, isChangeEventsOn, isCursor, isDateForbidden, isEnabled, isForbiddenDefault, isLocked, isNothingAllowed, isPeriodForbidden, isShowNeighbourMonth, monthShift, needsFullValidation, removeCommitListener, removeCursorMoveListener, removePropertyChangeListener, removeSelectionChangedListener, select, select, selectNothing, setAutoScroll, setChangeEventsOn, setConstraints, setDefaultDate, setEnabled, setForbidden, setForbiddenSet, setLocale, setLocked, setMaxConstraint, setMinConstraint, setNothingAllowed, setSelectedDate, setShowNeighbourMonth, shift, showMonthYear, tryApplySelection, yearShift`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface datechooser.model.DateChoose
`addCommitListener, addCursorMoveListener, addPropertyChangeListener, addSelectionChangedListener, commit, fireSelectionChange, getCellCaption, getCellDate, getCellState, getColsCount, getCurrent, getDefaultDate, getForbidden, getLocale, getMaxConstraint, getMinConstraint, getRowsCount, getVisibleDate, isAutoScroll, isCursor, isEnabled, isLocked, isNothingAllowed, isShowNeighbourMonth, monthShift, needsFullValidation, removeCommitListener, removeCursorMoveListener, removePropertyChangeListener, removeSelectionChangedListener, select, select, selectNothing, setAutoScroll, setConstraints, setDefaultDate, setEnabled, setForbidden, setLocale, setLocked, setMaxConstraint, setMinConstraint, setNothingAllowed, setSelectedDate, setShowNeighbourMonth, shift, showMonthYear, tryApplySelection, yearShift`

Constructor Detail

### SingleDateChooseModel

    public SingleDateChooseModel(java.util.Calendar current)

Method Detail

### isSelected

    public boolean isSelected(java.util.Calendar date)

  Description copied from interface: `DateChoose`
  Is specified date selected.
  Выбрана ли ячейка

  Specified by:
    `isSelected` in interface `DateChoose`

### getSelectedDate

    public java.util.Calendar getSelectedDate()

  Description copied from interface: `DateChoose`
  Get selected date.
  Дата, соответствующая выбранной ячейки.

  Specified by:
    `getSelectedDate` in interface `DateChoose`

### applySelection

    protected void applySelection()

  Description copied from class: `AbstractDateChooseModel`
  Делает попытка выбрать ячейку под курсором. Что делать дальше зависит от допустимых вариантов выбора.

  Specified by:
    `applySelection` in class `AbstractDateChooseModel`

### selectColumn

    protected void selectColumn(int column)

  Specified by:
    `selectColumn` in class `AbstractDateChooseModel`

### applySelectNothing

    public void applySelectNothing()

  Description copied from class: `AbstractDateChooseModel`
  Попытка не выбрать ни одной даты.

  Specified by:
    `applySelectNothing` in class `AbstractDateChooseModel`

### isNothingSelected

    public boolean isNothingSelected()

  Description copied from interface: `DateChoose`
  True if no selected dates (null selection).
  Возвращает истину, если не выбрано ни одной даты.

  Specified by:
    `isNothingSelected` in interface `DateChoose`

### setNothingSelected

    public void setNothingSelected(boolean nothingSelected)

  Description copied from interface: `DateChoose`
  Selects nothing (null).
  Снимает выбор со всех дат.

  Specified by:
    `setNothingSelected` in interface `DateChoose`

### refreshIncompatibility

    protected void refreshIncompatibility()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD